Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 225658 - Merge Review: cpuspeed
Summary: Merge Review: cpuspeed
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 17:52 UTC by Nobody's working on this, feel free to take it
Modified: 2011-08-18 12:10 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-08-18 12:10:53 UTC


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 17:52:17 UTC
Fedora Merge Review: cpuspeed

http://cvs.fedora.redhat.com/viewcvs/devel/cpuspeed/
Initial Owner: jwilson@redhat.com

Comment 1 Ville Skyttä 2007-02-01 19:49:35 UTC
http://www.redhat.com/archives/fedora-maintainers/2007-January/msg00339.html

"make CFLAGS=..." is a no-op; the Makefile uses COPTS, thus the build ends up
doing just "gcc -Wall -fno-exceptions -c -O2 cpuspeed.cc".  Just changing CFLAGS
to COPTS makes the build fail here on FC6 i386, though.

Comment 2 Warren Togami 2007-02-01 20:11:25 UTC
Needs work then, assigning to owner before the review can go further.  After you
fix this issue, please set fedora-review back to BLANK and reassign back to the
reviewer.

Comment 3 Jarod Wilson 2007-02-04 17:13:32 UTC
Okay, I think I *almost* have this one sorted out... I've got the package building on rawhide x86_64 
using most of our stock optflags, save -fexceptions, which is the one that was causing the build to fail 
when switching from CFLAGS= to COPTS= (note that that stock Makefile is set up to pass -fno-
exceptions). I've tweaked things a bit further so the -z bits are only passed during linking, so as to 
suppress some warning messages.

----8<----
+ make 'CFLAGS=-O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fno-exceptions -fstack-protector 
--param=ssp-buffer-size=4 -m64 -mtune=generic -fpie -pie' LDFLAGS=-Wl,-z,relro,-z,now
gcc -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fno-exceptions -fstack-protector --param=ssp-
buffer-size=4 -m64 -mtune=generic -fpie -pie -c -O2 cpuspeed.cc
cpuspeed.cc:121: warning: non-local variable '<anonymous struct> speeds [16]' uses anonymous type
cpuspeed.cc: In function 'int main(unsigned int, char**)':
cpuspeed.cc:810: warning: ignoring return value of 'int daemon(int, int)', declared with attribute 
warn_unused_result
gcc -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fno-exceptions -fstack-protector --param=ssp-
buffer-size=4 -m64 -mtune=generic -fpie -pie -Wl,-z,relro,-z,now cpuspeed.o -o cpuspeed
+ exit 0
----8<----

This results in built packages that, at a glance, seem to be functioning correctly. Unfortunately, I'm still 
winding up with no source in the debuginfo package for some reason that is beyond me at the 
moment...



Comment 4 Jarod Wilson 2007-02-04 19:22:04 UTC
Turns out the lack of source files in my debuginfo is due to my rpm build root's $RPM_BUILD_DIR having a 
shorter path name than /usr/src/debug, which debugedit (called from find-debuginfo.sh) pukes on. With 
a suitably longer build root path, source files are indeed being properly included in -debuginfo now.

Comment 5 Ondrej Vasik 2011-08-18 12:10:53 UTC
as cpuspeed is dead package now, closing WONTFIX...


Note You need to log in before you can comment on or make changes to this bug.